! fichero MathML.trans.es: transformacin de estructuras para MathML
! ver HTML.trans.es para la descripcin del lenguaje Trans
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

! NOTA: las transformaciones no funcionan con elementos multiscript
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
!!! Transformaciones de parntesis

! Incluir un elemento entre parntesis
Entre parntesis:*;
        {
        * > mrow:mo."(";
        * > mrow:*;
        * > mrow:mo.")";
        }

! Incluir una secuencia de elementos entre parntesis
!grupo: first:*,?*+, last:* ;
!        {
!        first > mrow:mo."(";
!        first > mrow:*;
!        * > mrow:*;
!        last > mrow:*;
!        last > mrow:mo.")";
!        }

! Eliminar parntesis
Eliminar parntesis: mrow{mf,?*+,mf};
	{
	mf /;
	* > :*;
	}

!!! transformaciones mrow

! Incluir un elemento en mrow
Incluir en mrow: *;
        {
        * > mrow:*;
        }

! Incluir una secuencia de elementos en mrow
Incluir en mrow: *,*+;
        {
        * > mrow:*;
        }

! Eliminar un nivel de mrow
Eliminar mrow: mrow{*+};
        {
        * > :*;
        }

!!! Transformaciones mstyle

! Incluir un elemento en mstyle
Incluir en mstyle: *;
        {
        * > mstyle:*;
        }

! Incluir una secuencia de elementos en mstyle
Incluir en mstyle: *,*+;
        {
        * > mstyle:*;
        }

! Eliminar un nivel de mstyle
Eliminar mstyle: mstyle{*+};
        {
        * > :*;
        }

!!! Transformaciones de raz (root)

! Incluir un elemento en raz
Incluir en ras : *;
	{
	* > mroot:*;
	* > mroot:none % ;
	}

! Incluir una secuencia de elementos en raz (root)
Incluir en raz: *+,last:*;
        {
        * > mroot.mrow:*;
	last > mroot.mrow:*;
	last > mroot:none % ;
        }

! Eliminar raz
Eliminar raz: mroot{base:*,? index:*};
        {
        base > :*;
	index / ;
        }


!!! Transformaciones de raz cuadrada

! Incluir un elemento en raz cuadrada
Incluir en raz cuadrada: *;
        {
        * > msqrt:*;
        }


! Incluir una secuencia de elementos en raz cuadrada
Incluir en raz cuadrada: *,*+;
        {
        * > msqrt.mrow:*;
        }

! Eliminar raz cuadrada
Eliminar raz cuadrada: msqrt{*};
        {
        * > :*;
        }

! Transformar una raz cuadrada en raz 
raz con ndice: msqrt{*};
	{
	* > mroot:*;
	* > mroot:none %;
	}

! Transformar una raz cuadrada en menclose
menclose: msqrt{*};
	{
	* > menclose:*;
	}

!!! Tranformaciones de menclose

! Incluir un elemento en menclose
Incluir en menclose: *;
        {
        * > menclose:*;
        }


! Incluir una secuencia de elementos en menclose
Incluir en menclose: *,*+;
        {
        * > menclose:*;
        }

! Eliminar menclose
Eliminar menclose: menclose{*};
        {
        * > :*;
        }

! Transformar menclose en raz cuadrada
Raz cuadrada: menclose{*};
	{
	* > msqrt:*;
	}

!!! Transformaciones de fraccin

! Transformar 2 elementos en una fraccin
Fraccin: (num:*,den:*) | mrow{num:*,den:*};
        {
        num > mfrac:*;
        den > mfrac:*;
        }

! Transformar un elemento en numerador
Numerador: *;
        {
        * > mfrac:*;
        * > mfrac:none %;
        }

! Transformar una secuencia de elementos en numerador
Numerador: ?*+,last:*;
        {
        * > mfrac.mrow:*;
	last > mfrac.mrow:*;
        last > mfrac:none %;
        }

! Transformar un elemento en denominador
Denominador: *;
        {
        * > mfrac:none %;
        * > mfrac:*;
        }

! Transformar una secuencia de elementos en denominador
Denominador: first:*,?*+;
        {
        first > mfrac:none %;
	first > mfrac.mrow:*;
        * > mfrac.mrow:*;
        }

! Eliminar una fraccin
Eliminar fraccin: mfrac{?(num:*),?(den:*)};
        {
        num > :*;
        den > :*;
        }


!!! Trasnformaciones de Sub y Sup

! Incluir elemento en subsup
Incluir en subsup:*;
	{
	* > msubsup:*;
	* > msubsup:none%;
	* > msubsup:none;
	}

! Eliminar subsup
Eliminar subsup: msubsup{base:*,?sub:*,?sup:*};
	{
	base > :*;
	sub /;
	sup /;
	}

! Eliminar superscript
Eliminar superscript: msubsup{base:*,?sub:*,?sup:*};
	{
	msubsup > msub;
	sup /;
	}

! Eliminar subscript
Eliminar subscript: msubsup{base:*,?sub:*,?sup:*};
	{
	msubsup > msup;
	sub /;
	}

! Incluir elemento en sub
Incluir en subscript:*;
	{
	* > msub:*;
	* > msub:none %;
	}

! Eliminar subscript
Eliminar subscript: msub{base:*,?sub:*};
	{
	base > :*;
	sub /;
	}

! Incluir elemento en sup
Incluir en superscript:*;
	{
	* > msup:*;
	* > msup:none %;
	}

! Eliminar superscript
Eliminar superscript: msup{base:*,?sup:*};
	{
	base > :*;
	sup /;
	}

! Transformar msub en msup
superscript:msub;
	{
	msub > msup;
	}

! Transformar msup en msub
subscript:msup;
	{
	msup > msub;
	}

! Transformar msub o msup en msubsup
subsup:msub{base:*,sub:*} | msup{base:*,sup:*};
	{
	base > msubsup:*;
	sup > msubsup:none %;
	sup > msubsup:*;
	sub > msubsup:*;
	sub > msubsup:none;
	}

! Transformar msubsup en munderover
munderover: msubsup{base:*,sub:*,sup:*};
  {
  base > munderover:*;
  sub > munderover:*;
  sup > munderover:*;
  }

!!! Transformaciones Under y Over

! Incluir un elemento en underover
Incluir en underover:*;
	{
	* > munderover:*;
	* > munderover:none %;
	* > munderover:none;
	}

! Eliminar underover
Eliminar underover:munderover{base:*,?under:*,?over:*};
	{
	base > :*;
	under /;
	over /;
	}
 
! Incluir un elemento en over
Incluir en over:*;
	{
	* > mover:*;
	* > mover:none %;
	}

! Eliminar over
Eliminar over:mover{base:*,?over:*};
	{
	base > :*;
	over /;
	}
 
! Incluir un elemento en under
Incluir en under:*;
	{
	* > munder:*;
	* > munder:none;
	}

! Eliminar under
Eliminar under:munder{base:*,?under:*};
	{
	base > :*;
	under /;
	}

! Transformar munderover en msubsup
msubsup: munderover{base:*,under:*,over:*};
  {
  base > msubsup:*;
  under > msubsup:*;
  over > msubsup:*;
  }

