<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
       "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type"
  content="application/xhtml+xml; charset=iso-8859-1" />
  <title>Grficos y animaciones SMIL</title>
  <meta name="generator" content="amaya 8.6, see http://www.w3.org/Amaya/" />
  <link href="../style.css" rel="stylesheet" type="text/css" />
</head>

<body>

<table border="0" width="100%" summary="toc">
  <tbody>
    <tr>
      <td><img alt="W3C" src="../../images/w3c_home" /> <img alt="Amaya"
        src="../../images/amaya.gif" /></td>
      <td><p align="right"><a href="SVGLibrary.html.es" accesskey="p"><img
        alt="anterior" src="../../images/left.gif" /></a> <a
        href="../SVG.html.es" accesskey="t"><img alt="superior" 
        src="../../images/up.gif" /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="page_body">
<h1>Grficos y animaciones <acronym
title="Synchronized Multimedia Integration Language" xml:lang="en"
lang="en">SMIL</acronym></h1>

<p><acronym title="Scalable Vector Graphics" xml:lang="en"
lang="en">SVG</acronym> representa las animaciones como elementos
entremezclados en la estructura principal que representa la organizacin de
los grficos. Los elementos de la animacin aparecen como hijos de los
elementos grficos que animan. Para permitir al autor centrarse en una
animacin, la vista de lnea temporal le muestra todos los elementos de
animacin y agrupados de acuerdo con los elementos grficos que animan.</p>

<h2>La vista de lnea temporal</h2>

<p>La vista de lnea temporal presenta las animaciones asociadas con objetos
grficos. Cada objeto animado del documento se representa all con una
representacin grfica de sus elementos de animacin.</p>

<p>La siguiente figura muestra los tres objetos animados de un documento.
Cada objeto se representa en el lado izquierdo de la vista por medio de una
etiqueta con un fondo blanco y un cuadro de seleccin junto a su etiqueta. Al
hacer clic en la etiqueta se destaca el elemento correspondiente en la vista
Formateado, lo que le proporciona al usuario el contexto de ese elemento. Si
el elemento grfico tiene un nico elemento de animacin, como el elemento
Rectngulo de la figura, ese elemento de animacin se presenta como una barra
coloreada. Si hay varios elementos, una nica barra en gris representa a la
animacin completa (El Crculo en la parte inferior de la figura) y un botn
marcado con el signo '+' en la etiqueta permite al usuario obtener una
representacin expandida. El elemento MiTexto, es un ejemplo de tal
representacin expandida, en la que cada elemento de animacin se representa
mediante una barra coloreada. El botn se convierte en un signo '-' lo que
permite al usuario obtener de nuevo la representacin condensada.</p>

<p>La posicin en la lnea temporal depende de cundo comienzan y terminan de
actuar, y el color de cada barra refleja el tipo de animacin:</p>
<ul>
  <li>Amarillo para <code>animar</code>,</li>
  <li>rojo para <code>configurar</code>,</li>
  <li>verde para <code>animarMovimiento</code>,</li>
  <li>azul marino para <code>animarColor</code>,</li>
  <li>azul claro para <code>animarTransformacin</code>.</li>
</ul>

<p class="figure"><img alt="Vista de animacin"
src="//home/vatton/Amaya/doc/images/timeline_view.png" /></p>
</div>

<h2>Editar animaciones</h2>

<p>La vista de lnea temporal es til para percibir de un vistazo la
animacin de todos los grficos de un documento, pero tambin permite a un
autor editar la animacin. Los elementos existentes pueden modificarse. La
mayora de las manipulaciones se hacen directamente sobre la lnea temporal,
por ejemplo, al mover una barra o cambiar su extensin. Esto queda
inmediatamente reflejado en otras vistas en las que los correspondientes
atributos de los elementos de la animacin se actualizan (en este caso los
atributos <code>inicio</code> y <code>duracin</code>).</p>

<p>Para animar el movimiento de un elemento grfico existente:</p>
<ul>
  <li>El usuario comienza por seleccionar el momento de inicio de la
    animacin:
    <p>Haciendo clic en <abbr title="tecla control">Ctrl</abbr> + botn
    izquierdo del ratn sobre la barra de desplazamiento roja y movindola
    hacia la derecha de la posicin de inicio.</p>
  </li>
  <li>Entonces selecciona el elemento que le interesa en la vista Formateado:
    <p>Si el elemento tiene un ID ste se usar como etiqueta.</p>
  </li>
  <li>Entonces hace clic sobre el botn superior izquierdo <img
    alt="animar_movimiento" src="../../../amaya/anim_motion_sh_db.png" /> en
    la vista de lnea temporal:
    <p>Esto crea un nuevo elemento de animacin en esa vista.</p>
  </li>
  <li>Entonces el usuario apunta la posicin de inicio y de culminacin del
    movimiento en la vista de formato:
    <p>Hace clic en la tecla <abbr title="control">Ctrl</abbr> + botn
    izquierdo del ratn en el icono <img alt="cross"
    src="../../../amaya/timeline_cross.gif" /> que se presenta en la vista
    Formateado. Haciendo esto, tiene control sobre las posiciones clave del
    elemento animado en el contexto de los otors elementos grficos. De hecho
    el usuario traza el recorrido del movimiento como si estuviera dibujando
    la forma de cualquier curva perteneciente al documento.</p>
  </li>
  <li>Finalmente, volviendo a la vista de lnea temporal, puede mover y/o
    redimensionar la nueva barra para ajustar el tiempo.</li>
</ul>

<p>Mainpular el tiempo en la vista de lnea temporal es ms cmodo, ya que
permite al usuario comprender mejor la sincronizacin de un elemento en
particular con los otros elementos animados. El usuario puede tambin
modificar las posiciones clave en la vista principal, tan slo moviendo los
puntos con el ratn. Pero las otras vistas siguen estando ah, y algunos
parmetros pueden ajustarse en la vista de estructura editando los atributos,
as como tambin en la vista del cdigo fuente si fuera necesario.</p>

<p>Para crear un cambio de color de un elemento grfico existente, el usuario
comienza seleccionando el elemento que le interesa en la vista principal, y
hace clic en el botn superior izquierdo <img alt="animar_color"
src="../../../amaya/anim_color_sh_db.png" />.</p>

<p>El usuario puede manipular una barra que representa una animacin, de la
misma manera que manipula un rectngulo en un documento. Obviamente hay
algunas limitaciones en la vista de lnea temporal. Por ejemplo, las barras
coloreadas pueden moverse slo horizontalmente a lo largo de el eje de tiempo
y no puede cambiarse su altura individualmente. Estas limitaciones
representan la semntica del lenguaje grfico de la lnea temporal.</p>
</body>
</html>
